Bug 1273059 - content_type parameter as not required in Table 68.2 of Create a Custom Repository section
content_type parameter as not required in Table 68.2 of Create a Custom Repos...
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Docs API Guide (Show other bugs)
Unspecified
Unspecified Unspecified
medium Severity medium (vote)
: GA
: 6.2
Assigned To: satellite-doc-list
satellite-doc-list
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-19 09:40 EDT by Roman Plevka
Modified: 2016-10-05 21:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-05 21:28:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roman Plevka 2015-10-19 09:40:48 EDT
Document URL: 

Section Number and Name: 
68.2 [Create a Custom Repository]
Describe the issue: 
The table no. 68.2 states a "content_type" parameter as not required
but the parameter is required (no default value)

$ curl -k -X 'POST' -u admin:changeme -H "Accept: application/json" -H "Content-Type: application/json" -d '{"name": "my_yum_repo_1", "product_id": 1, "url":""}' https://<FQDN>/katello/api/v2/repositories

{"displayMessage":"Validation failed: Content type must be one of the following: yum, file, puppet, docker","errors":{"content_type":["must be one of the following: yum, file, puppet, docker"]}}

Suggestions for improvement: 
change required - False to True
Additional information:
Comment 1 Roman Plevka 2015-10-19 09:42:04 EDT
tested against:
sat6-Satellite-6.1.0-RHEL-7-20151016
Comment 3 Deon Ballard 2015-12-02 14:36:07 EST
Mass re-assign of all content / lifecycle related bugs to Dan MacPherson for the new content management guide.
Comment 4 Deon Ballard 2015-12-10 12:21:27 EST
++++ IMPORTANT +++++

These bugs are being reassigned to Dan MacPherson as part of his work on creating a content management guide.


/////////////////////////////
DO NOT REASSIGN TO THE QUEUE.
/////////////////////////////
Comment 5 Dan Macpherson 2016-02-03 00:54:02 EST
This is an API bug, but applies to the 6.0 API guide. From what I understand, the 6.1+ API Guide has changed and links to in-application API reference. This BZ might not be needed any more.
Comment 6 Andrew Dahms 2016-10-05 21:28:41 EDT
This section no longer exists in the current version of this guide, and efforts are underway to provide a more detailed reference to the available methods.

Closing this bug for now.

Note You need to log in before you can comment on or make changes to this bug.